$(document).ready(function() {
    Shadowbox.init();
    
    var _left=0;
    var _width=$('.tooltip-seg').width();
   $(".ppc em").mouseover(function(){
        $('.tooltip-seg').html($(this).parent().attr('rel'));
        eleOffset = $(this).offset();
        
        _left = eleOffset.left;
        if( (_left+_width+60) > $(window).width())
        {
            _left = _left - 60 - $('.tooltip-seg').width();
        }
        $('.tooltip-seg').fadeIn("fast").css({
            left: _left,
            top: eleOffset.top
        });
    }).mouseleave(function(){
         $('.tooltip-seg').hide();
    });
    
    function close(){
        $("#botonera").css("display", "none");
    }
    
    
    $(".ppc em").bind("contextmenu", function(e){
          $("#botonera").css({'display':'block', 'left':e.pageX, 'top':e.pageY});
          return false;
    });
    //si pulsamos escape, el menú desaparecerá
    $(document).keydown(function(e){
          if(e.keyCode == 27) close();
    });
    
    //cuando hagamos click, el menú desaparecerá
    $(document).click(function(e){
          if(e.button == 0) close();
    });
    
    
    setTimeout(function(){location.reload();}, 120000);//2minutos refresca
    
    $(".sch button").bind('click', function(){
        if($(".sch input").val()) {
            window.location=$(".sch").attr('action')+$(".sch input").val();
            return false;
        }
    });
});